Bug 2003633 - authentication operator degraded during 4.7.16 update
Summary: authentication operator degraded during 4.7.16 update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: apiserver-auth
Version: 4.7
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Sergiusz Urbaniak
QA Contact: liyao
URL:
Whiteboard:
Depends On: 2003632
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-13 10:43 UTC by OpenShift BugZilla Robot
Modified: 2021-10-12 19:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-12 19:51:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-authentication-operator pull 485 0 None open [release-4.7] Bug 2003633: manifests, bindata: explicitely set runAsUser for operator and operand 2021-09-13 13:39:22 UTC
Red Hat Product Errata RHBA-2021:3686 0 None None None 2021-10-12 19:51:59 UTC

Comment 3 liyao 2021-09-26 08:04:27 UTC
Tested in fresh cluster 4.7.0-0.nightly-2021-09-24-191646, the result is expected, move it to VERIFIED

1. create scc datadog-cluster-agent list in Comment 0
$ oc create -f datadog-cluster-agent.yaml 
securitycontextconstraints.security.openshift.io/datadog-cluster-agent created
2. delete the authentication-operator pod
$ oc -n openshift-authentication-operator delete pod authentication-operator-c499c4f46-bz6gx
pod "authentication-operator-c499c4f46-bz6gx" deleted
3. check that the newly authentication-operator pod started successfully
$ oc -n openshift-authentication-operator get pod
NAME                                      READY   STATUS    RESTARTS   AGE
authentication-operator-c499c4f46-sxdtl   1/1     Running   0          11s

Comment 6 errata-xmlrpc 2021-10-12 19:51:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.33 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3686


Note You need to log in before you can comment on or make changes to this bug.